> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get domainv1check

> Checks the status of the domain.



## OpenAPI

````yaml /openapis/domain.json get /domain/v1/check/{applicationId}
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: 69.5.1
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: domain
    description: >-
      Lets you manage (list, load, patch, update, add new, delete) domain
      settings (beta version, subject to change)
  - name: crosslibraryview
    description: Lets you update cross library view
paths:
  /domain/v1/check/{applicationId}:
    get:
      tags:
        - domain
      description: Checks the status of the domain.
      operationId: domain:v1beta1.Domain.checkDomainStatus
      parameters:
        - $ref: '#/components/parameters/applicationId_path_parameter'
        - name: asUser
          in: query
          description: Email address of the user to check the status with
          required: false
          schema:
            type: string
        - name: storageAdmin
          in: query
          description: Email address of the storage account
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/standalone_query_parameter'
      responses:
        '200':
          description: A ApiDomainStatus response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiDomainStatus'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    applicationId_path_parameter:
      name: applicationId
      in: path
      description: ID of the application
      required: true
      schema:
        type: string
    standalone_query_parameter:
      name: standalone
      in: query
      description: Whether the application is installed as standalone or not
      required: false
      schema:
        type: boolean
        default: false
  schemas:
    ApiDomainStatus:
      type: object
      properties:
        active:
          type: boolean
        alreadyRegisteredWith:
          type: string
        authorized:
          type: boolean
        defaultStorageAdmin:
          type: string
        domainAdmin:
          type: string
        domainOwner:
          type: string
        domainType:
          type: string
          enum:
            - GOOGLE_WORKSPACE
            - NON_GOOGLE_WORKSPACE
        installed:
          type: boolean
        kind:
          type: string
        registered:
          type: boolean
        standalone:
          type: boolean
        status:
          type: string
          enum:
            - ACTIVE
            - UNLICENSED
            - EXPIRED
            - DELINQUENT
            - UNKNOWN
            - MAINTENANCE
            - ERROR
        trialExpires:
          type: integer
          format: int64
        useDelayedVersion:
          type: boolean
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````